Skip to content
payrocdevelopers

Search devices

Browse API reference

GET/devicessearchDevices

Use this method to return a paginated list of devices associated with a merchant's API key or an ISV's API key.

Use the query parameters to filter the list of results that we return, for example, to search for devices by their model.

Our gateway returns the following information about each device in the list:

  • Unique identifier that we assigned to the device.
  • Serial number of the device.
  • Key serial identifier (KSI) of the device.
  • Device model or type of device.
  • Date that our gateway added the device to our systems.
  • Information about the last transaction that the device processed.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

activequeryboolean

Filter by the device status. Send one of the following values:

  • true – Return only active devices.
  • false – Return only inactive devices.
serialNumberquerystring

Filter by the serial number of the device.

ksiquerystring

Filter by the key serial identifier (KSI) of the device.

modelquerystring

Filter by the model or type of the device.

Responses

Successful request. Returns a list of devices associated with the API key.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 25 fields
  • countintegerrequired
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMorebooleanrequired
    Indicates whether there is another page of results available.
  • limitintegerrequired
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of device objects. Each object contains information about a device.
    • createdDatestringdate-time
      Date and time that our gateway added the device to our systems. Our gateway returns this value in the ISO 8601 format.
    • deactivatedDatestringdate-time
      Date and time that we deactivated the device. Our gateway returns this value in the ISO 8601 format. Note: If the device is active, our gateway doesn't return a value for deactivatedDate.
    • deviceIdstring
      Unique identifier that we assigned to the device.
    • deviceTypeobject
      Object that contains information about the device.
      • manufacturerstring
        Company that manufactured the device.
      • modelstring
        Model or type of the device.
    • ksistring
      Key serial identifier (KSI) of the device.
    • lastTransactionobject
      Object that contains information about the last transaction that the device processed.
      • dateTimestringdate-time
        Date and time that the processing terminal processed the last transaction. Our gateway returns this value in the ISO 8601 format.
      • orderIdstring
        Unique identifier that the merchant assigned to the order.
      • processingTerminalIdstring
        Unique identifier that we assigned to the processing terminal.
    • linksobject[]
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • serialNumberstring
      Serial number of the device.
    • tenderstring
      Payment methods accepted by the device. creditDebit – Credit and debit card payments. ebt – Electronic Benefit Transfer (EBT) payments.creditDebitebt

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer